Bug 958344 - Review Request: python-extras - Useful extra bits for Python
Summary: Review Request: python-extras - Useful extra bits for Python
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pádraig Brady
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 886003 908842 913200 962132
TreeView+ depends on / blocked
 
Reported: 2013-05-01 01:54 UTC by Michel Alexandre Salim
Modified: 2013-06-16 18:31 UTC (History)
9 users (show)

Fixed In Version: python-extras-0.0.3-2.fc18
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-06-08 03:40:49 UTC
Type: ---
p: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)
Patch to fix the issues from the review (1.50 KB, patch)
2013-05-29 07:52 UTC, Matthias Runge
no flags Details | Diff

Description Michel Alexandre Salim 2013-05-01 01:54:48 UTC
Spec URL: http://salimma.fedorapeople.org/specs/funpl/python-extras.spec
SRPM URL: http://salimma.fedorapeople.org/specs/funpl/python-extras-0.0.3-1.fc18.src.rpm
Description:
extras is a set of extensions to the Python standard library, originally
written to make the code within testtools cleaner, but now split out for
general use outside of a testing context.

Fedora Account System Username: salimma

Comment 1 Mario Blättermann 2013-05-03 08:43:21 UTC
Please remove the upstream provided egginfo so that it gets rebuilt. See the packaging guidelines:
http://fedoraproject.org/wiki/Packaging:Python_Eggs#Upstream_Eggs

%install
rm -rf $RPM_BUILD_ROOT

The initial cleaning of $RPM_BUILD_ROOT is obsolete, unless you want to provide a package for EPEL5. In this case, you have to add some more stuff (BuildRoot tag, %clean section):
http://fedoraproject.org/wiki/EPEL:Packaging

Comment 2 Jerry James 2013-05-21 21:42:28 UTC
Issues, in no particular order:
1. Why is the python3 build disabled by default?  I'm curious, because I
   already have a package I want to build for Fedora that will need the
   python3 version of extras.
2. The fedora-review complaint about the BR is because you used the name
   "python-devel" instead of "python2-devel".  I'm not sure it matters.
3. As already noted, please remove the existing Python egg in %prep.
4. Consider adding a %check script
5. Consider preserving timestamps on the files with shebang changes (in %prep).


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- Package contains BR: python2-devel or python3-devel
  See: http://fedoraproject.org/wiki/Packaging:Python#BuildRequires


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 4 files have unknown license. Detailed output of
     licensecheck in /home/jamesjer/958344-python-extras/licensecheck.txt
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 3 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Fully versioned dependency in subpackages, if present.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[!]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-extras-0.0.3-1.fc20.noarch.rpm
python-extras.noarch: W: spelling-error %description -l en_US testtools -> test tools, test-tools, stools
1 packages and 0 specfiles checked; 0 errors, 1 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-extras
python-extras.noarch: W: spelling-error %description -l en_US testtools -> test tools, test-tools, stools
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-extras (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python-extras:
    python-extras



Source checksums
----------------
https://pypi.python.org/packages/source/e/extras/extras-0.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 7a60d84cb661b477c41a5ea35e931ae93860af8cd259ecc0a38a32ef1ae9ffc0
  CHECKSUM(SHA256) upstream package : 7a60d84cb661b477c41a5ea35e931ae93860af8cd259ecc0a38a32ef1ae9ffc0


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 958344 -m fedora-rawhide-x86_64

Comment 3 Matthias Runge 2013-05-29 07:51:37 UTC
Can we proceed here? I need python-extras for other packages, eg. for python-pbr.

Comment 4 Matthias Runge 2013-05-29 07:52:37 UTC
Created attachment 754224 [details]
Patch to fix the issues from the review

Comment 6 Pádraig Brady 2013-05-29 14:24:00 UTC
I've mentioned before that this package is daft as it boils down to a couple of lines. Matthias I don't see extras used in pbr 0.5.10?

Comment 7 Jerry James 2013-05-29 19:39:51 UTC
(In reply to Pádraig Brady from comment #6)
> I've mentioned before that this package is daft as it boils down to a couple
> of lines.

Daft or not, upstream ships it as a separate package, and we know of at least one package that uses it (subunit).

Comment 8 Matthias Runge 2013-05-30 07:34:30 UTC
pbr requires testrepository, which requires subunit, which uses extras.

Comment 9 Pádraig Brady 2013-05-30 08:55:03 UTC
Well subunit had essentially a 1 line patch to avoid "extras",
however I've now reverted that. This falls into the category of
working hard rather than smart.

Comment 10 Alan Pevec 2013-05-30 09:21:07 UTC
(In reply to Pádraig Brady from comment #9)
> This falls into the category of working hard rather than smart.

Indeed, and now we need submitter and reviewer to work hard on this.
Michel, please update the review or hand over to Matthias. Thanks.

Comment 11 Pádraig Brady 2013-05-31 13:30:40 UTC
Matthias' update looks good, thanks!

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
     Note: Using prebuilt rpms.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in
     python3-extras
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 1 files have unknown license. Detailed output of
     licensecheck in /home/padraig/rhat/fedora-scm/openstack/python-extras
     /review-python-extras/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 6 files.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
     Note: Using prebuilt packages
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Sources can be downloaded from URI in Source: tag
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-extras-0.0.3-2.fc18.noarch.rpm
          python3-extras-0.0.3-2.fc18.noarch.rpm
python-extras.noarch: W: spelling-error %description -l en_US testtools -> test tools, test-tools, stools
python3-extras.noarch: W: spelling-error %description -l en_US testtools -> test tools, test-tools, stools
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Requires
--------
python3-extras (rpmlib, GLIBC filtered):
    python(abi)

python-extras (rpmlib, GLIBC filtered):
    python(abi)



Provides
--------
python3-extras:
    python3-extras

python-extras:
    python-extras



MD5-sum check
-------------
https://pypi.python.org/packages/source/e/extras/extras-0.0.3.tar.gz :
  CHECKSUM(SHA256) this package     : 7a60d84cb661b477c41a5ea35e931ae93860af8cd259ecc0a38a32ef1ae9ffc0
  CHECKSUM(SHA256) upstream package : 7a60d84cb661b477c41a5ea35e931ae93860af8cd259ecc0a38a32ef1ae9ffc0

Comment 12 Matthias Runge 2013-05-31 13:43:02 UTC
Michel, because it's urgent for us, I hope you don't mind, if I take this over, somehow. Of course, I'm adding you as maintainer here.

New Package SCM Request
=======================
Package Name: python-extras
Short Description: Useful extra bits for Python
Owners: mrunge salimma
Branches: f19 el6

Comment 13 Pádraig Brady 2013-05-31 13:51:20 UTC
f18 would be good too. thanks

Comment 14 Gwyn Ciesla 2013-05-31 14:50:30 UTC
Git done (by process-git-requests).

Comment 15 Fedora Update System 2013-05-31 15:43:27 UTC
python-extras-0.0.3-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/python-extras-0.0.3-2.el6

Comment 16 Fedora Update System 2013-05-31 15:44:40 UTC
python-extras-0.0.3-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/python-extras-0.0.3-2.fc19

Comment 17 Matthias Runge 2013-05-31 17:35:58 UTC
Package Change Request
======================
Package Name: python-extras
New Branches: f18
Owners: mrunge pbrady salimma

Comment 18 Gwyn Ciesla 2013-05-31 18:10:23 UTC
Git done (by process-git-requests).

Comment 19 Fedora Update System 2013-05-31 18:11:06 UTC
python-extras-0.0.3-2.fc19 has been pushed to the Fedora 19 testing repository.

Comment 20 Fedora Update System 2013-05-31 18:34:03 UTC
python-extras-0.0.3-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/python-extras-0.0.3-2.fc18

Comment 21 Michel Alexandre Salim 2013-06-01 04:46:12 UTC
No problem, Matthias. Apologies for the delay, was out of town.

Comment 22 Jerry James 2013-06-02 03:42:37 UTC
I have to protest the way I was treated.  I was the reviewer.  I was not out of town or inactive.  I was merely waiting for the submitter's next move.  There was no reason to summarily eject me as reviewer with no notice and no apology.  We were nowhere even close to the one month period specified by https://fedoraproject.org/wiki/Policy_for_stalled_package_reviews.

I am glad the package is now in Fedora, but I think I deserved better than this.

Comment 23 Pádraig Brady 2013-06-02 15:22:17 UTC
Sorry Jerry.
I really didn't want you to offend you in any way.
It's just that this package was blocking a bunch of stuff and I wanted to be sure it was submitted. The couple of days I think we gained was important IMHO.
Please feel free to hit me up for review requests/swaps or whatever...

thanks,
Pádraig.

Comment 24 Fedora Update System 2013-06-08 03:40:49 UTC
python-extras-0.0.3-2.fc19 has been pushed to the Fedora 19 stable repository.

Comment 25 Fedora Update System 2013-06-13 06:10:11 UTC
python-extras-0.0.3-2.fc18 has been pushed to the Fedora 18 stable repository.

Comment 26 Fedora Update System 2013-06-16 18:31:45 UTC
python-extras-0.0.3-2.el6 has been pushed to the Fedora EPEL 6 stable repository.


Note You need to log in before you can comment on or make changes to this bug.